Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.event
Class DispatchEventHandler

    java.lang.Object
      org.jini.rio.event.EventHandler
          org.jini.rio.event.DispatchEventHandler

    public class DispatchEventHandler

extends EventHandler

The `DispatchEventHandler` provides an implementation of an `EventHandler` which supports the notification of events to all registered event listeners with a valid lease.

Event registrations are leased and explicitly checked prior to each notification being sent to the remote event listener

The sequence number for events is incremented after each subsequent fire invocation.

Nested Class Summary

Nested classes/interfaces inherited from class org.jini.rio.event.EventHandler
`EventHandler.EventRegistrationResource`

Field Summary

Fields inherited from class org.jini.rio.event.EventHandler
`descriptor, ektime, landlord, resourceMgr, RESPONSE_WATCH, responseWatch, sendTime, sent, sequenceNumber, sktime, step, t0, t1, tmp, watchRegistry`

Constructor Summary
`DispatchEventHandler(EventDescriptor descriptor)` Construct a DispatchEventHandler with an EventDescriptor and default lease maximum and time allocation
`DispatchEventHandler(EventDescriptor descriptor, Configuration config)` Construct a DispatchEventHandler with an EventDescriptor and a Configuration object

Method Summary
`void` | `fire(RemoteServiceEvent event)` Implement the `fire` method from `EventHandler`

Methods inherited from class org.jini.rio.event.EventHandler
`createWatch, destroyWatch, getNextServiceResource, getRegistrantCount, getWatch, printStats, register, terminate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DispatchEventHandler

    public DispatchEventHandler(EventDescriptor descriptor)
                         throws Exception

  Construct a DispatchEventHandler with an EventDescriptor and default lease maximum and time allocation

  Parameters:
    `descriptor` - The EventDescriptor
  Throws:
    `Exception` - If a landlord lease manager cannot be created

### DispatchEventHandler

    public DispatchEventHandler(EventDescriptor descriptor,
                                Configuration config)
                         throws Exception

  Construct a DispatchEventHandler with an EventDescriptor and a Configuration object

  Parameters:
    `descriptor` - The EventDescriptor
    `config` - The configuration object
  Throws:
    `Exception` - If a landlord lease manager cannot be created

Method Detail

### fire

    public void fire(RemoteServiceEvent event)

  Implement the `fire` method from `EventHandler`

  Specified by:
    `fire` in class `EventHandler`
  Parameters:
    `event` - The event to send

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.